## org.w3c.dom.svg
Interface SVGStyleElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement

All Known Implementing Classes:
  SVGOMStyleElement

public interface SVGStyleElement
extends SVGElement

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getMedia()`
`java.lang.String` `getTitle()`
`java.lang.String` `getType()`
`java.lang.String` `getXMLspace()`
`void` `setMedia(java.lang.String media)`
`void` `setTitle(java.lang.String title)`
`void` `setType(java.lang.String type)`
`void` `setXMLspace(java.lang.String xmlspace)`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getXMLspace

    public java.lang.String getXMLspace()

### setXMLspace

    public void setXMLspace(java.lang.String xmlspace)
                     throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)
                 throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getMedia

    public java.lang.String getMedia()

### setMedia

    public void setMedia(java.lang.String media)
                  throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)
                  throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.